API Resources

GET
/v3/cpe

CPE와 관련된 취약점을 요청합니다.

지정된 CPE(Common Platform Enumeration) URI 문자열을 기반으로, 이 엔드포인트는 해당 패키지와 관련된 취약점 목록을 반환합니다. v2.2 및 v2.3 형식을 지원합니다.

경로 매개변수

cpe
string required
v2.2 또는 v2.3 형식을 사용하는 CPE 스킴
isVulnerable
boolean
CPE가 취약하다고 간주되는 경우에만 관련 CVE를 반환합니다.
기본적으로 API는 CPE가 언급된 모든 CVE를 반환합니다. CPE 자체가 취약하지 않더라도 구성 요소로 포함된 경우에도 반환됩니다.
예: cpe:2.3:h:mediatek:mt6890:-:*:*:*:*:*:*:* 는 여러 CVE에서 취약한 구성의 일부로 나열되지만, 장치 자체가 본질적으로 취약한 경우는 단 하나뿐입니다.
isVulnerable=true를 설정하면 CPE가 실제로 취약한 경우의 CVE만 반환합니다.

요청 예시

curl --request GET \
    --url https://api.vulncheck.com/v3/cpe?cpe=cpe:/a:microsoft:internet_explorer:8.0.6001:beta \
    --header 'Accept: application/json' \
    --header 'Authorization: Bearer insert_token_here'

응답

{
  "_benchmark": 0.09967,
  "_meta": {
    "cpe": "cpe:/a:microsoft:internet_explorer:8.0.6001:beta",
    "cpe_struct": {
      "part": "a",
      "vendor": "microsoft",
      "product": "internet_explorer",
      "version": "8\\.0\\.6001",
      "update": "beta",
      "edition": "*",
      "language": "*",
      "sw_edition": "*",
      "target_sw": "*",
      "target_hw": "*",
      "other": "*"
    },
    "timestamp": "2023-09-11T15:03:41.041475537Z",
    "total_documents": 15
  },
  "data": [
    "CVE-2008-4127",
    "CVE-2010-0246",
    "CVE-2010-0248",
    "CVE-2010-0494",
    "CVE-2002-2435",
    "CVE-2012-1545",
    "CVE-2010-0027",
    "CVE-2010-5071",
    "CVE-2010-0492",
    "CVE-2010-1117",
    "CVE-2010-0245",
    "CVE-2010-0490",
    "CVE-2009-2433",
    "CVE-2011-2383",
    "CVE-2010-0244"
  ]
}